%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Docks any application into the system tray
Name:		alltray
Version:	0.71b
Release:	%mkrel 3
Group:		Graphical desktop/Other
License:	GPLv2+
Url:		http://alltray.trausch.us/
Source0:	http://launchpad.net/alltray/old-maintenance/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		alltray-0.71a-fix_linking.patch
BuildRequires:	gtk+2-devel
BuildRequires:  GConf2
BuildRequires:  libGConf2-devel

%description
With AllTray you can dock any application with no native tray icon
(like Evolution, Thunderbird, Terminals) into the system tray.
A high-light feature is that a click on the "close" button
will minimize back to system tray. It works well with Gnome,
KDE, XFCE 4*, Fluxbox* and WindowMaker*.

  *no drag 'n drop support. Enable with "-nm" option.

%package -n	%{libname}
Summary:	Shared library for alltray
Group:		System/Libraries

%description -n	%{libname}
Shared library for alltray.

%package -n %{develname}
Summary:	Development libraries for alltray
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries for alltray.

%prep
%setup -q
%patch0 -p0

#fix .desktop file
sed -i -e 's|%{name}.png|%{name}|' -e 's|Application;|GTK;|' %{name}.desktop

%build
%configure2_5x
%make
 
%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want this
rm -rf %{buildroot}%{_libdir}/liballtray.la

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/liballtray.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/liballtray.so


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.71b-3.mga3
+ Revision: 345513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 18 2011 wally <wally> 0.71b-2.mga1
+ Revision: 53941
- remove epoch and buildroot definition
- fix license and description
- drop old provides/obsoletes/requires
- clean .spec a bit
- imported package alltray

